%% Renvoie l'identite du joueur qui a gagne dans la configuration F, supposee entierement remplie.
function c = QuiAGagne (F)
verification = true;
for i = 1 : 64
  if F(i) == -1
    verification = false;
  end
end
if ~verification
  fprintf ('ERREUR - Vous avez applique la fonction ''QuiAGagne'' a un plateau non entierement rempli !\n');
  return
end
pionnoir = [1, 0];
pionblanc = [0, 0];
while true
  vecteur = pionblanc - pionnoir;
  direction = 3 * (vecteur(1) + 1) + (vecteur(2) + 1);
  switch direction
    case 0
      hexagone = pionnoir + [-1, 0];
      if hexagone(1) < 1 || hexagone(1) > 8
        pionblanc = hexagone;
      elseif hexagone(2) < 1 || hexagone(2) > 8
        pionnoir = hexagone;
      else
        if QuelleCouleur (F, not1not2 (hexagone)) == 1
          pionblanc = hexagone;
        else
          pionnoir = hexagone;
        end
      end
    case 1
      hexagone = pionnoir + [0, 1];
      if hexagone(1) < 1 || hexagone(1) > 8
        pionblanc = hexagone;
      elseif hexagone(2) < 1 || hexagone(2) > 8
        pionnoir = hexagone;
      else
        if QuelleCouleur (F, not1not2 (hexagone)) == 1
          pionblanc = hexagone;
        else
          pionnoir = hexagone;
        end
      end
    case 3
      hexagone = pionnoir + [-1, -1];
      if hexagone(1) < 1 || hexagone(1) > 8
        pionblanc = hexagone;
      elseif hexagone(2) < 1 || hexagone(2) > 8
        pionnoir = hexagone;
      else
        if QuelleCouleur (F, not1not2 (hexagone)) == 1
          pionblanc = hexagone;
        else
          pionnoir = hexagone;
        end
      end
    case 5
      hexagone = pionnoir + [1, 1];
      if hexagone(1) < 1 || hexagone(1) > 8
        pionblanc = hexagone;
      elseif hexagone(2) < 1 || hexagone(2) > 8
        pionnoir = hexagone;
      else
        if QuelleCouleur (F, not1not2 (hexagone)) == 1
          pionblanc = hexagone;
        else
          pionnoir = hexagone;
        end
      end
    case 7
      hexagone = pionnoir + [0, -1];
      if hexagone(1) < 1 || hexagone(1) > 8
        pionblanc = hexagone;
      elseif hexagone(2) < 1 || hexagone(2) > 8
        pionnoir = hexagone;
      else
        if QuelleCouleur (F, not1not2 (hexagone)) == 1
          pionblanc = hexagone;
        else
          pionnoir = hexagone;
        end
      end
    case 8
      hexagone = pionnoir + [1, 0];
      if hexagone(1) < 1 || hexagone(1) > 8
        pionblanc = hexagone;
      elseif hexagone(2) < 1 || hexagone(2) > 8
        pionnoir = hexagone;
      else
        if QuelleCouleur (F, not1not2 (hexagone)) == 1
          pionblanc = hexagone;
        else
          pionnoir = hexagone;
        end
      end
  end
  if pionblanc(1) == 8
    c = 1;
    break;
  end
  if pionnoir(2) == 8
    c = 0;
    break;
  end
end
return
end